Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Bills
Budgets
Challenges
CDR
Configuration
Contacts
Events
Messages
Pay Day
Payments
Reports
Surveys
Calculators
Images
Financial Passport
Users
Accounts
Transactions
post

/goals

Create a new Goal

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

6 Headers

Request Body

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
name
string
1 validation + required
description
string

Description of the Goal

1 validation
image_url
string
1 validation
account_id
integer

ID of the Account that this Goal is attached to.

4 validations + required
tracking_type
string

The strategy for tracking the Goal. E.g. if ‘credit’ then only credit transactions will be counted towards the goal amount.

1 validation + required
frequency
string

The frequency at which you want to split up this goal. This drives how many GoalPeriods are created for this Goal. singular means there will only be one GoalPeriod for the Goal.

1 validation + required
target
string

The original target property of the goal. Is the user trying to hit a certain amount or date? Or is it an open ended goal.

1 validation + required
target_amount
string

The overall target amount of the Goal. This can be left blank if you specify a period_amount.

1 validation + required
period_amount
string

The amount you want each GoalPeriod to be. This is used when creating the Goal, and can be used in conjunction with frequency and end_date to create a goal of “I would like to save $100 a month for 6 months”

1 validation + required
start_amount
string

The starting amount of the Goal. This can be used to specify how much you would like to start the Goal off with.

1 validation + required
start_date
string

The date at which to start the Goal.

1 validation + required
end_date
string

The date at which you want to end the Goal.

1 validation + required
suppress_events
boolean

Suppress triggering of events for past periods

1 validation
completed_backdated_periods
integer

The number of backdated periods you want to be on track (from oldest to newest)

4 validations
metadata
object

This attribute can be used to store any extra data that the user clients might need.

Responses

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
current_period
object
id
integer
4 validations
name
string
1 validation
description
string

Description of the Goal

1 validation
image_url
string
1 validation
account_id
number

ID of the Account that this Goal is attached to.

1 validation
tracking_status
string

Tracking Status of the Goal

  • above - Current saved amount is above the target amount
  • equal - Current saved amount is equal to the target amount
  • below - Current saved amount is below the target amount
1 validation
tracking_type
string

The strategy for tracking the Goal. E.g. if ‘credit’ then only credit transactions will be counted towards the goal amount.

1 validation
status
string

Goal status

  • unstarted - Unstarted (future) goals
  • active - Active goals
  • finalising - Finalising goals (allows pending transactions to be recorded as they become posted)
  • completed - Completed goals where the target was achieved
  • cancelled - Cancelled goals
  • failed - Failed goals where the target was not achieved
1 validation
frequency
string

The frequency at which you want to split up this goal. This drives how many GoalPeriods are created for this Goal. singular means there will only be one GoalPeriod for the Goal.

1 validation
target
string

The original target property of the goal. Is the user trying to hit a certain amount or date? Or is it an open ended goal.

1 validation
currency
string
1 validation
current_amount
string

The current progress amount the Goal has. Depending on the tracking_type, this is the sum of all transactions for the Goal.

1 validation
period_amount
string

The amount you want each GoalPeriod to be. This is used when creating the Goal, and can be used in conjunction with frequency and end_date to create a goal of “I would like to save $100 a month for 6 months”

1 validation
start_amount
string

The starting amount of the Goal. This can be used to specify how much you would like to start the Goal off with.

1 validation
target_amount
string

The overall target amount of the Goal. This can be left blank if you specify a period_amount.

1 validation
start_date
string

The date at which to start the Goal.

1 validation
end_date
string

The date at which you want to end the Goal.

1 validation
estimated_end_date
string

A calculated field that gives you the estimated end date that you would hit your target_amount, based on your previous performance.

1 validation
estimated_target_amount
string

A calculated field that gives you the estimated target_amount that you would hit at the end_date, based on your previous performance.

1 validation
periods_count
integer

The number of periods that belong to this goal. As they are created on the goal creation this number won’t be changing.

4 validations
metadata
object

This attribute can be used to store any extra data that the user clients might need.

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
$$.env
1 variable not set
Authorization